## xfce4-sntray-plugin 0.4.10

=== CMakeLists.txt ===
project(xfce4-sntray-plugin C)
cmake_minimum_required(VERSION 3.3)
cmake_policy (VERSION 3.3)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)

include(ValaPrecompile)
include(GNUInstallDirs)

find_package(Vala 0.32 REQUIRED)
find_package(PkgConfig)
set (GETTEXT_PACKAGE "xfce4-sntray-plugin")
include(GitVersion)
determine_fallback_version(${CMAKE_SOURCE_DIR}/cmake/vala)
include(FallbackVersion)
include(Format)

add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
add_definitions(-Wall -Wextra
                -Wno-unused
                -Wno-unused-parameter# Vala loves to create variables
#				-pedantic
                -Wno-ignored-qualifiers
                -Wno-incompatible-pointer-types
                -Wno-missing-field-initializers
                -Wno-sign-compare
                ) #Vala often forgot cast to GtkWidget or gpointer
find_package (PkgConfig)
find_package(GLIB2 2.50 REQUIRED COMPONENTS GOBJECT GIO GIO_UNIX GMODULE GTHREAD CODEGEN MKENUMS GENMARSHAL COMPILE_SCHEMAS COMPILE_RESOURCES)
include(GLibProgramHandlers)
find_package(GTK 3.22 REQUIRED COMPONENTS GDK X11 WAYLAND)
include(CMakeDependentOption)

#set build options
pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0)
cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
    "XFCE_FOUND" OFF)

pkg_check_modules(MATE libmatepanelapplet-4.0)
cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
    "MATE_FOUND" OFF)

pkg_check_modules(PEAS libpeas-1.0)
pkg_check_modules(VALAPANEL vala-panel)
pkg_check_modules(VP_NEW vala-panel>=0.3.50 QUIET)
pkg_check_modules(BUDGIE budgie-1.0)

cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
    "VALAPANEL_FOUND; PEAS_FOUND" OFF)
if (VP_NEW_FOUND)
    message("Using 0.4 ValaPanelApplet api")
    set(NEW_DEFINE -D NEW)
    set(NEW_IFACE ON)
endif()

cmake_dependent_option(ENABLE_BUDGIE "Enable budgie-desktop plugin" ON
    "BUDGIE_FOUND; PEAS_FOUND" OFF)

# Configuration
configure_file (${CMAKE_SOURCE_DIR}/src/config.vala.in ${CMAKE_BINARY_DIR}/src/config.vala)

add_subdirectory(po)
add_subdirectory(data)
add_subdirectory(src)
#add_subdirectory(xembedsniproxy)

# Add 'make dist' command for creating release tarball
set (CPACK_PACKAGE_VERSION ${VERSION})
set (CPACK_PACKAGE_RELEASE "1")
set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_IGNORE_FILES "/build/;/.git;/.gitignore;/.gitmodules;~$;${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)
add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
#Add RPM build support
include (UseRPMTools)
if (RPMTools_FOUND)
   RPMTools_ADD_RPM_TARGETS(package ${CMAKE_SOURCE_DIR}/rpm/xfce4-sntray-plugin.spec.in)
endif(RPMTools_FOUND)

=== data/CMakeLists.txt ===
if (ENABLE_XFCE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/xfce4/panel/plugins)
endif()
if (ENABLE_MATE)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.plugin.in ${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.in)
    configure_file(${CMAKE_SOURCE_DIR}/data/sntray-mate.service.in ${CMAKE_BINARY_DIR}/data/sntray-mate.serivce)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-mate.serivce DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/services/ RENAME org.mate.panel.applet.SNTrayAppletFactory.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-mate.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mate-panel/applets/ RENAME org.vala-panel.SNTray.mate-panel-applet)
endif()
if (ENABLE_VALAPANEL)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
endif()
if (ENABLE_BUDGIE)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-budgie.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-sntray-plugin)
endif()

=== src/CMakeLists.txt ===
#####
# DBusMenu
#####
add_subdirectory(dbusmenu)
add_definitions(-fPIC)
#####
# Core Parts (GResource, definitions)
#####
set(VALA_FILES_CORE
	snwatcher.vala
	snitem.vala
	snhost.vala
	snitembox.vala
	snconfig.vala
	snitemproxy.vala
	qrichtextparser.vala
        utils.vala
        ${CMAKE_CURRENT_BINARY_DIR}/config.vala
	)
    vala_precompile(VALA_C_CORE sntray-core
	${VALA_FILES_CORE}
    PACKAGES
        gtk+-3.0
        vala-dbusmenu
    OPTIONS
        --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}/dbusmenu
	--target-glib=2.44
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/sntray.gresource.xml
        --thread
    GENERATE_VAPI
        vala-panel-sntray
    )
    glib_compile_resources(RESOURCES
        source
            sntray.gresource.xml
    )
add_library(sntray-core STATIC ${VALA_C_CORE} $<TARGET_OBJECTS:vala-dbusmenu-o>)
target_include_directories(sntray-core PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu)
target_link_libraries (sntray-core GLIB2::GIO_UNIX GTK3::GDK GTK3::GTK m)
add_custom_target(sntray-core-ide SOURCES ${VALA_FILES_DBUSMENU} ${VALA_FILES_CORE})
#################
# Xfce Panel part
#################
set(VALA_FILES_XFCE xfce4-sntray-applet.vala)
if (ENABLE_XFCE)
    vala_precompile(VALA_C_XFCE sntray-xfce
	${VALA_FILES_XFCE}
    PACKAGES
        gtk+-3.0
        vala-panel-sntray
    CUSTOM_VAPIS
        vapi/libxfce4panel-2.0.vapi
        vapi/libxfconf-0.vapi
    OPTIONS
        --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
	--target-glib=2.44
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
        --thread
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-xfce MODULE
        ${VALA_C_XFCE}
        ${RESOURCES}
    )
    include_directories(${XFCE_INCLUDE_DIRS})
    target_link_libraries(sntray-xfce  sntray-core ${XFCE_LIBRARIES})
    add_custom_target(sntray-xfce-ide SOURCES ${VALA_FILES_XFCE})

    # Install plugin stuffs
    install(TARGETS sntray-xfce DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
endif()


#################
# Vala Panel part
#################
set(VALA_FILES_VALAPANEL vala-panel-sntray-applet.vala)
if (ENABLE_VALAPANEL)
    vala_precompile(VALA_C_VALAPANEL sntray-valapanel
	    ${VALA_FILES_VALAPANEL}
    PACKAGES
        gtk+-3.0
        vala-panel-sntray
        libpeas-1.0
        vala-panel
    OPTIONS
        --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
	--target-glib=2.44
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
        --thread
        ${NEW_DEFINE}
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-valapanel MODULE
        ${VALA_C_VALAPANEL}
        ${RESOURCES}
    )
    include_directories(${VALAPANEL_INCLUDE_DIRS})
    target_link_libraries(sntray-valapanel sntray-core ${VALAPANEL_LIBRARIES})
    add_custom_target(sntray-valapanel-ide SOURCES ${VALA_FILES_VALAPANEL})

    # Install plugin stuffs
    install(TARGETS sntray-valapanel DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
endif()

#################
# Budgie Panel part
#################
set(VALA_FILES_BUDGIE sntray-applet-budgie.vala)
if (ENABLE_BUDGIE)
    vala_precompile(VALA_C_BUDGIE sntray-budgie
	    ${VALA_FILES_BUDGIE}
    PACKAGES
        gtk+-3.0
        vala-panel-sntray
        budgie-1.0
    OPTIONS
        --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
	--target-glib=2.44
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
        --thread
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-budgie MODULE
        ${VALA_C_BUDGIE}
        ${RESOURCES}
    )
    include_directories(${BUDGIE_INCLUDE_DIRS})
    target_link_libraries(sntray-budgie sntray-core ${BUDGIE_LIBRARIES})
    add_custom_target(sntray-budgie-ide SOURCES ${VALA_FILES_BUDGIE})

    # Install plugin stuffs
    install(TARGETS sntray-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins)
endif()

#################
# MATE Panel part
#################
set(VALA_FILES_MATE mate-sntray-applet.vala)
if (ENABLE_MATE)
    vala_precompile(VALA_C_MATE sntray-mate
	${VALA_FILES_MATE}
    PACKAGES
	gdk-3.0
	gtk+-3.0
	vala-panel-sntray
    CUSTOM_VAPIS
	vapi/libmatepanelapplet-4.0.vapi
    OPTIONS
	--vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
	--vapidir=${CMAKE_CURRENT_BINARY_DIR}
	--target-glib=2.44
	--gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
	--thread
    )
    #####
    # Plugin Library
    #####
    add_executable (sntray-mate
	${VALA_C_MATE}
	${RESOURCES}
    )
    add_dependencies(sntray-mate sntray-core)
    include_directories(${MATE_INCLUDE_DIRS})
    target_link_libraries(sntray-mate sntray-core ${MATE_LIBRARIES})
    add_custom_target(sntray-mate-ide SOURCES ${VALA_FILES_MATE})

    # Install plugin stuffs
    install(TARGETS sntray-mate DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/mate-panel)
endif()

=== src/dbusmenu/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.8)
cmake_policy (VERSION 2.8)
cmake_policy (SET CMP0063 NEW)
project (vala-dbusmenu C)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# Vala
find_package (Vala REQUIRED)
include (ValaVersion)
ensure_vala_version ("0.24" MINIMUM)
include (ValaPrecompile)

add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")
add_definitions(-Wall -Wextra
                -Wno-unused
                -Wno-unused-parameter# Vala loves to create variables
               #-pedantic
                -Wno-ignored-qualifiers
                -Wno-incompatible-pointer-types
                -Wno-missing-field-initializers
                -Wno-discarded-qualifiers
                -Wno-sign-compare
                ) #Vala often forgot cast to GtkWidget or gpointer

find_package (PkgConfig)

pkg_check_modules(GTK3 REQUIRED QUIET
    gtk+-3.0>=3.10)

set(VALA_FILES_DBUSMENU_CORE
    item.vala
    proxy.vala
    client.vala
    property-store.vala
    )
set(VALA_FILES_DBUSMENU_GTK
    gtk/client.vala
    gtk/main-item.vala
    gtk/separator-item.vala
    gtk/item-iface.vala
    gtk/scale-item.vala
    )
vala_precompile(VALA_C_DBUSMENU vala-dbusmenu
    ${VALA_FILES_DBUSMENU_CORE}
    ${VALA_FILES_DBUSMENU_GTK}
PACKAGES
    gtk+-3.0
    gio-2.0
    glib-2.0
    gio-addons-2.0
    gobject-2.0
OPTIONS
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
    --target-glib=2.44
    --thread
GENERATE_VAPI
    vala-dbusmenu
GENERATE_HEADER
    vala-dbusmenu
)

add_library(vala-dbusmenu-o OBJECT ${VALA_C_DBUSMENU})
set_target_properties(vala-dbusmenu-o PROPERTIES
#        C_VISIBILITY_PRESET hidden	# Make global variables and functions HIDDEN by default.
        POSITION_INDEPENDENT_CODE ON	# Compile this object code position independent.
)
target_include_directories (vala-dbusmenu-o PRIVATE ${GTK3_INCLUDE_DIRS})
add_custom_target(vala-dbusmenu-ide SOURCES ${VALA_FILES_DBUSMENU_CORE} ${VALA_FILES_DBUSMENU_GTK})

=== debian/changelog ===
xfce4-sntray-plugin (0.4.10-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Aug 2018 12:15:42 +0200

xfce4-sntray-plugin (0.4.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned B-D on libglib2.0-dev (>= 2.50).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Mar 2018 22:37:21 +0200

xfce4-sntray-plugin (0.4.8-1) unstable; urgency=medium

  [ Unit 193 ]
  * Initial release. (Closes: #891864).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 21:23:02 +0100

=== debian/control ===
Source: xfce4-sntray-plugin
Section: xfce
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 budgie-core-dev,
 cmake,
 debhelper (>= 11~),
 gettext,
 libglib2.0-dev (>= 2.50),
 libgtk-3-dev (>= 3.22),
 libmate-panel-applet-dev,
 libpeas-dev,
 libvalapanel-dev,
 libxfce4panel-2.0-dev,
 libxfconf-0-dev,
 libxml2-utils,
 pkg-config,
 valac,
Standards-Version: 4.2.0
Homepage: https://github.com/rilian-la-te/xfce4-sntray-plugin
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin

Package: xfce4-sntray-plugin-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - commoner
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 This package contains common files.

Package: xfce4-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - Xfce
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 Xfce version of the plugin.

Package: mate-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - MATE
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 MATE panel applet version of the plugin.

Package: vala-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - Vala
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 Vala Panel Applet version of the plugin.

Package: budgie-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - Budgie
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 Budgie panel applet version of the plugin.

=== debian/watch ===
version=4
https://github.com/rilian-la-te/xfce4-sntray-plugin/releases \
	.*/xfce4-sntray-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-sntray-plugin 0.4.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 project(xfce4-sntray-plugin C)
-cmake_minimum_required(VERSION 3.3)
-cmake_policy (VERSION 3.3)
+cmake_minimum_required(VERSION 3.6 FATAL_ERROR)
+cmake_policy (VERSION 3.6)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)
 
 include(ValaPrecompile)
 include(GNUInstallDirs)
 
-find_package(Vala 0.32 REQUIRED)
+find_package(Vala 0.36 REQUIRED)
 find_package(PkgConfig)
 set (GETTEXT_PACKAGE "xfce4-sntray-plugin")
 include(GitVersion)
@@ -31,23 +31,23 @@
 include(CMakeDependentOption)
 
 #set build options
-pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0)
+pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
     "XFCE_FOUND" OFF)
 
-pkg_check_modules(MATE libmatepanelapplet-4.0)
+pkg_check_modules(MATE libmatepanelapplet-4.0>=1.20 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
     "MATE_FOUND" OFF)
 
-pkg_check_modules(PEAS libpeas-1.0)
-pkg_check_modules(VALAPANEL vala-panel)
-pkg_check_modules(VP_NEW vala-panel>=0.3.50 QUIET)
-pkg_check_modules(BUDGIE budgie-1.0)
+pkg_check_modules(PEAS libpeas-1.0 IMPORTED_TARGET)
+pkg_check_modules(VALAPANEL vala-panel IMPORTED_TARGET)
+pkg_check_modules(VP_NEW vala-panel>=0.4.50 QUIET)
+pkg_check_modules(BUDGIE budgie-1.0 IMPORTED_TARGET)
 
 cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
-    "VALAPANEL_FOUND; PEAS_FOUND" OFF)
+    "VALAPANEL_FOUND" OFF)
 if (VP_NEW_FOUND)
-    message("Using 0.4 ValaPanelApplet api")
+    message("Using 0.5 ValaPanelApplet api")
     set(NEW_DEFINE -D NEW)
     set(NEW_IFACE ON)
 endif()

=== data/CMakeLists.txt ===
if (ENABLE_XFCE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/xfce4/panel/plugins)
endif()
if (ENABLE_MATE)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.plugin.in ${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.in)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-mate.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mate-panel/applets/ RENAME org.vala-panel.SNTray.mate-panel-applet)
endif()
if (ENABLE_VALAPANEL)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/sntray.desktop.plugin.in.cmake ${CMAKE_SOURCE_DIR}/data/sntray.desktop.plugin.in)
    if (NEW_IFACE)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala-panel/applets)
    else()
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
    endif()
endif()
if (ENABLE_BUDGIE)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-budgie.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-sntray-plugin)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
         source
             sntray.gresource.xml
     )
-add_library(sntray-core STATIC ${VALA_C_CORE} $<TARGET_OBJECTS:vala-dbusmenu-o>)
+add_library(sntray-core STATIC ${VALA_C_CORE} dbus-utils.c $<TARGET_OBJECTS:vala-dbusmenu-o>)
 target_include_directories(sntray-core PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu)
 target_link_libraries (sntray-core GLIB2::GIO_UNIX GTK3::GDK GTK3::GTK m)
 add_custom_target(sntray-core-ide SOURCES ${VALA_FILES_DBUSMENU} ${VALA_FILES_CORE})
@@ -67,8 +67,7 @@
         ${VALA_C_XFCE}
         ${RESOURCES}
     )
-    include_directories(${XFCE_INCLUDE_DIRS})
-    target_link_libraries(sntray-xfce  sntray-core ${XFCE_LIBRARIES})
+    target_link_libraries(sntray-xfce  sntray-core PkgConfig::XFCE)
     add_custom_target(sntray-xfce-ide SOURCES ${VALA_FILES_XFCE})
 
     # Install plugin stuffs
@@ -81,12 +80,17 @@
 #################
 set(VALA_FILES_VALAPANEL vala-panel-sntray-applet.vala)
 if (ENABLE_VALAPANEL)
+    if(NEW_IFACE)
+        set(PLUGIN_PACKAGE "")
+    else()
+        set(PLUGIN_PACKAGE libpeas-1.0)
+    endif()
     vala_precompile(VALA_C_VALAPANEL sntray-valapanel
 	    ${VALA_FILES_VALAPANEL}
     PACKAGES
         gtk+-3.0
         vala-panel-sntray
-        libpeas-1.0
+        ${PLUGIN_PACKAGE}
         vala-panel
     OPTIONS
         --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
@@ -103,9 +107,10 @@
         ${VALA_C_VALAPANEL}
         ${RESOURCES}
     )
-    include_directories(${VALAPANEL_INCLUDE_DIRS})
-    target_link_libraries(sntray-valapanel sntray-core ${VALAPANEL_LIBRARIES})
+    target_link_libraries(sntray-valapanel sntray-core PkgConfig::VALAPANEL)
     add_custom_target(sntray-valapanel-ide SOURCES ${VALA_FILES_VALAPANEL})
+    set_target_properties(sntray-valapanel PROPERTIES
+        OUTPUT_NAME sntray)
 
     # Install plugin stuffs
     install(TARGETS sntray-valapanel DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
@@ -136,12 +141,11 @@
         ${VALA_C_BUDGIE}
         ${RESOURCES}
     )
-    include_directories(${BUDGIE_INCLUDE_DIRS})
-    target_link_libraries(sntray-budgie sntray-core ${BUDGIE_LIBRARIES})
+    target_link_libraries(sntray-budgie sntray-core PkgConfig::BUDGIE)
     add_custom_target(sntray-budgie-ide SOURCES ${VALA_FILES_BUDGIE})
 
     # Install plugin stuffs
-    install(TARGETS sntray-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins)
+    install(TARGETS sntray-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-sntray-plugin)
 endif()
 
 #################
@@ -167,15 +171,14 @@
     #####
     # Plugin Library
     #####
-    add_executable (sntray-mate
-	${VALA_C_MATE}
+    add_library (sntray-mate MODULE
+        ${VALA_C_MATE}
 	${RESOURCES}
     )
     add_dependencies(sntray-mate sntray-core)
-    include_directories(${MATE_INCLUDE_DIRS})
-    target_link_libraries(sntray-mate sntray-core ${MATE_LIBRARIES})
+    target_link_libraries(sntray-mate sntray-core PkgConfig::MATE)
     add_custom_target(sntray-mate-ide SOURCES ${VALA_FILES_MATE})
 
     # Install plugin stuffs
-    install(TARGETS sntray-mate DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/mate-panel)
+    install(TARGETS sntray-mate DESTINATION ${CMAKE_INSTALL_LIBDIR}/mate-panel)
 endif()

=== xembedsniproxy/CMakeLists.txt ===
find_package(XCB
    COMPONENTS
        AUX
        XCB
        XFIXES
        DAMAGE
        COMPOSITE
        RANDR
        SHM
        UTIL
        IMAGE
        XTEST
        ICCCM
)

set(XCB_LIBS
    XCB::AUX
    XCB::XCB
    XCB::XFIXES
    XCB::DAMAGE
    XCB::COMPOSITE
    XCB::RANDR
    XCB::SHM
    XCB::UTIL
    XCB::IMAGE
    XCB::XTEST
    XCB::ICCCM
)

find_package(X11_XCB)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(XEMBED_SNI_PROXY_SOURCES
    application.c
    application.h
    xcb-utils.c
    xcb-utils.h
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    xtestsender.c
    xtestsender.h
    gwater-xcb.c
    gwater-xcb.h
 )

add_executable(xembedsniproxy ${XEMBED_SNI_PROXY_SOURCES})

set_package_properties(XCB PROPERTIES TYPE REQUIRED)

target_include_directories(xembedsniproxy PRIVATE
    ${XCB_INCLUDE_DIRS}
    ${X11_XCB_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(xembedsniproxy
    ${XCB_LIBRARIES}
    ${X11_XCB_LIBRARIES}
    GLIB2::GOBJECT
    GLIB2::GIO_UNIX
    GTK3::GDK
    GTK3::GTK
)

add_executable(xcb-tray xcb-tray.c gwater-xcb.c gwater-xcb.h)

target_include_directories(xcb-tray PRIVATE
    ${XCB_INCLUDE_DIRS}
    ${X11_XCB_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(xcb-tray
    ${XCB_LIBRARIES}
    GLIB2::GIO_UNIX
)


install(TARGETS xembedsniproxy RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/vala-panel )
install(FILES xembedsniproxy.desktop DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/dbusmenu/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,7 @@
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 # Vala
-find_package (Vala REQUIRED)
-include (ValaVersion)
-ensure_vala_version ("0.24" MINIMUM)
+find_package (Vala 0.24 REQUIRED)
 include (ValaPrecompile)
 
 add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")

=== debian/changelog ===
xfce4-sntray-plugin (0.4.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Upstream moved to GitLab.com.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Maked B-D on libvalapanel-dev versioned (>= 0.4). (Closes: #907707).
    + Update Homepage: field.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update Source: URL.
  * debian/*.install:
    + Adapt to new upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Sep 2018 08:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
  libgtk-3-dev (>= 3.22),
  libmate-panel-applet-dev,
  libpeas-dev,
- libvalapanel-dev,
+ libvalapanel-dev (>= 0.4),
  libxfce4panel-2.0-dev,
  libxfconf-0-dev,
  libxml2-utils,
  pkg-config,
  valac,
-Standards-Version: 4.2.0
-Homepage: https://github.com/rilian-la-te/xfce4-sntray-plugin
+Standards-Version: 4.2.1
+Homepage: https://gitlab.com/vala-panel-project/xfce4-sntray-plugin
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- \
	        -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib \
	        $(NULL)

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## xfce4-sntray-plugin 0.4.12

=== CMakeLists.txt ===
project(xfce4-sntray-plugin C)
cmake_minimum_required(VERSION 3.6 FATAL_ERROR)
cmake_policy (VERSION 3.6)

include(GNUInstallDirs)

set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
if(EXISTS ${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
    include(${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
    use_vcm(${CMAKE_SOURCE_DIR}/cmake)
else()
    find_package(VCM REQUIRED NO_MODULE)
    list(APPEND CMAKE_MODULE_PATH ${VCM_MODULE_PATH})
endif()
include(GitVersion)
determine_fallback_version(${CMAKE_SOURCE_DIR}/cmake)
include(${CMAKE_SOURCE_DIR}/cmake/FallbackVersion.cmake)
include(Format)

find_package (PkgConfig)
find_package(GLIB2 2.50 REQUIRED COMPONENTS GOBJECT GIO GIO_UNIX GMODULE GTHREAD CODEGEN MKENUMS GENMARSHAL COMPILE_SCHEMAS COMPILE_RESOURCES)
include(GLibProgramHandlers)
find_package(GTK 3.22 REQUIRED COMPONENTS GDK X11 WAYLAND)
find_package(Vala 0.36 REQUIRED)
include(ValaPrecompile)


add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
add_definitions(-Wall -Wextra
                -Wno-unused
                -Wno-unused-parameter# Vala loves to create variables
#				-pedantic
                -Wno-ignored-qualifiers
                -Wno-incompatible-pointer-types
                -Wno-missing-field-initializers
                -Wno-sign-compare
                ) #Vala often forgot cast to GtkWidget or gpointer
include(CMakeDependentOption)
include(FeatureSummary)

#set build options
pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0 IMPORTED_TARGET)
cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
    "XFCE_FOUND" OFF)
add_feature_info(Xfce ENABLE_XFCE "Xfce Panel Integration")

pkg_check_modules(MATE libmatepanelapplet-4.0>=1.20 IMPORTED_TARGET)
cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
    "MATE_FOUND" OFF)
add_feature_info(MATE ENABLE_MATE "MATE Panel Integration")

find_package(PEAS 1.14 COMPONENTS PEAS)
pkg_check_modules(VALAPANEL vala-panel>=0.4.89 IMPORTED_TARGET)
pkg_check_modules(BUDGIE budgie-1.0>=2 IMPORTED_TARGET)

cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
    "VALAPANEL_FOUND" OFF)
if (VALAPANEL_FOUND)
    add_feature_info(ValaPanel ENABLE_VALAPANEL "Vala Panel Integration - 0.5.x")
endif()

cmake_dependent_option(ENABLE_BUDGIE "Enable budgie-desktop plugin" ON
    "BUDGIE_FOUND; PEAS_FOUND" OFF)
add_feature_info(Budgie ENABLE_BUDGIE "Budgie Desktop Integration")

# Configuration
configure_file (${CMAKE_SOURCE_DIR}/src/config.vala.in ${CMAKE_BINARY_DIR}/src/config.vala)
# Common include dir
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include)

add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(src)
#add_subdirectory(xembedsniproxy)

# Add 'make dist' command for creating release tarball
set (CPACK_PACKAGE_VERSION ${VERSION})
set (CPACK_PACKAGE_RELEASE "1")
set (CPACK_SOURCE_GENERATOR "TXZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_IGNORE_FILES "/build/;/.git;/.gitignore;/.gitmodules;~$;${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)
add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
#Add RPM build support
include (UseRPMTools)
if (RPMTools_FOUND)
   RPMTools_ADD_RPM_TARGETS(package ${CMAKE_SOURCE_DIR}/rpm/xfce4-sntray-plugin.spec.in)
endif(RPMTools_FOUND)

feature_summary(WHAT ALL)

=== debian/changelog ===
xfce4-sntray-plugin (0.4.12-2) unstable; urgency=medium

  * debian/control:
    + Fix B:/R: relation; replace xfce4-sntray-plugin by vala-sntray-plugin.
      (Closes: #940212).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Sep 2019 10:23:55 +0200

xfce4-sntray-plugin (0.4.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against libvalapanel-dev (>= 0.4.89). (Closes: #935794).
  * debian/patches:
    + Add 2001_no-GitVersion-for-Debian-packaging.patch. Work around non-Debian
      compatibility cmake/FallbackVersion.cmake."
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Update versioned B-Ds.
    + Add versioned B-D: cmake-vala (>= 3).
    + Add versioned B-D dpkg-dev (>= 1.16.1.1).
    + Add B:/R: (xfce4-sntray-plugin-common) for xfce4-sntray-plugin
      (<< 0.4.12).
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/vala-sntray-plugin.install:
    + Update filename of org.valapanel.sntray.plugin.
  * debian/rules:
    + Prep build-env with package's upstream version and inject that into
      cmake/FallbackVersion.cmake.
    + MATE, Budgie and Vala Panel plugins go to non-multiarch path,
      whereas XFCE4 plugin goes to multiarch path.
  * debian/budgie-sntray-plugin.install:
    + Install Budgie plugin to non-multiarch LIBDIR.
      (Closes: #928377).
  * debian/mate-sntray-plugin.install:
    + Install MATE plugin to non-multiarch LIBDIR.
  * debian/vala-sntray-plugin.install:
    + Install Vala Panel Plugin to non-multiarch LIBDIR.
    + Drop gschema file.
  * debian/xfce4-sntray-plugin-common.install:
    + Move gschema file over to -common bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Sep 2019 20:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,23 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- budgie-core-dev,
+ budgie-core-dev (>= 2),
  cmake,
- debhelper (>= 11~),
+ cmake-vala (>= 3),
+ debhelper-compat (= 12),
+ dpkg-dev (>= 1.16.1.1),
  gettext,
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
- libmate-panel-applet-dev,
- libpeas-dev,
- libvalapanel-dev (>= 0.4),
+ libmate-panel-applet-dev (>= 1.20),
+ libpeas-dev (>= 1.14),
+ libvalapanel-dev (>= 0.4.89),
  libxfce4panel-2.0-dev,
  libxfconf-0-dev,
  libxml2-utils,
  pkg-config,
- valac,
-Standards-Version: 4.2.1
+ valac (>= 0.36),
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/vala-panel-project/xfce4-sntray-plugin
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin
@@ -31,6 +33,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ vala-sntray-plugin (<< 0.4.12),
+Replaces:
+ vala-sntray-plugin (<< 0.4.12),
 Description: plugin for xfce4-panel to show StatusNotifierItems - commoner
  Plugin for xfce4-panel to show StatusNotifierItems
  (also known as AppIndicators). Based on ValaPanel`s

=== debian/watch ===
version=4
https://gitlab.com/vala-panel-project/xfce4-sntray-plugin/tags .*/xfce4-sntray-plugin-(\d\S+)\.tar\.gz

## xfce4-sntray-plugin 0.4.13

=== debian/changelog ===
xfce4-sntray-plugin (0.4.13-1) unstable; urgency=medium

  * New upstream release. (Closes: #951981).
  * debian/changelog:
    + Fix typo in previous stanza.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Bump DH compat level to versio n13.
    + Bump versioned B-D on libvalapanel-dev to (>= 0.4.92).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 13:53:57 +0200

## xfce4-sntray-plugin 0.4.13.1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,7 @@
 if (ENABLE_VALAPANEL)
     add_schema("org.valapanel.toplevel.sntray.gschema.xml")
     configure_file(${CMAKE_SOURCE_DIR}/data/sntray.desktop.plugin.in.cmake ${CMAKE_SOURCE_DIR}/data/sntray.desktop.plugin.in)
-    if (NEW_IFACE)
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala-panel/applets)
-    else()
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
-    endif()
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala-panel/applets RENAME org.valapanel.sntray.plugin)
 endif()
 if (ENABLE_BUDGIE)
     add_schema("org.valapanel.toplevel.sntray.gschema.xml")

=== po/CMakeLists.txt ===
configure_file(${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.plugin.in ${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.in)
include(Translations)
add_translations_directory(${GETTEXT_PACKAGE})
add_translations_catalog(${GETTEXT_PACKAGE}
    ../src
    ../data
)

=== src/CMakeLists.txt ===
#####
# DBusMenu
#####
add_subdirectory(dbusmenu)
#####
# Core Parts (GResource, definitions)
#####
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(VALA_FILES_CORE
        sntray-backend.vapi
	snwatcher.vala
	snhost.vala
	snitembox.vala
	snconfig.vala
        snchild.vala
        ${CMAKE_CURRENT_BINARY_DIR}/config.vala
	)
vala_precompile(VALA_C_CORE sntray-core
    ${VALA_FILES_CORE}
PACKAGES
    gtk+-3.0
    vala-dbusmenu
OPTIONS
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
    --vapidir=${CMAKE_CURRENT_BINARY_DIR}
    --vapidir=${CMAKE_CURRENT_BINARY_DIR}/dbusmenu
    --target-glib=2.44
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/sntray.gresource.xml
GENERATE_VAPI
    vala-panel-sntray
)
set(ENUM_FILES
    ${CMAKE_SOURCE_DIR}/include/sn-common.h
        )
add_glib_enumtypes(ENUMSC ENUMSH sni-enums ${ENUM_FILES})
add_library(sntray-core STATIC
    ${VALA_C_CORE}
    ${CMAKE_SOURCE_DIR}/include/sn-common.h
    ${ENUMSC}
    ${ENUMSH}
    dbus-utils.c
    snproxy.c
    snproxy.h
    rtparser.h
    rtparser.c
    icon-pixmap.c
    icon-pixmap.h
    $<TARGET_OBJECTS:vala-dbusmenu-o>)
target_include_directories(sntray-core PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu)
target_link_libraries (sntray-core GLIB2::GIO_UNIX GTK3::GDK GTK3::GTK m)
set_target_properties(sntray-core PROPERTIES
    POSITION_INDEPENDENT_CODE ON)	# Compile this object code position independent.
add_custom_target(sntray-core-ide SOURCES ${VALA_FILES_DBUSMENU} ${VALA_FILES_CORE} ${VALA_FILES_NEW})
add_subdirectory(panels)

=== xembedsniproxy/CMakeLists.txt ===
pkg_check_modules(XCB
    xcb-atom
    xcb-damage
    xcb-icccm
    xcb-ewmh
    xcb
    xcb-proto
    xcb-randr
    xcb-util
    xcb-xtest
    IMPORTED_TARGET)
pkg_check_modules(X11_XCB x11-xcb IMPORTED_TARGET)

pkg_check_modules(GDK_PIXBUF gdk-pixbuf-2.0 IMPORTED_TARGET)
pkg_check_modules(CAIRO cairo IMPORTED_TARGET)


cmake_dependent_option(ENABLE_SHIM "Enable XEmbed shim for SNI" ON
    "XCB_FOUND;X11_XCB_FOUND;GDK_PIXBUF_FOUND;CAIRO_FOUND" OFF)

add_feature_info(Shim ENABLE_SHIM "XEmbed shim for using in Wayland/non-Xembed environment")

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(ENUM_FILES
    ${CMAKE_SOURCE_DIR}/include/sn-common.h
        )
add_glib_enumtypes(ENUMSC ENUMSH sni-enums ${ENUM_FILES})

set(XEMBED_SNI_PROXY_SOURCES
    application.c
    application.h
    xcb-utils.c
    xcb-utils.h
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    xtestsender.c
    xtestsender.h
    gwater-xcb.c
    gwater-xcb.h
    sn.c
    sn.h
    ${MARSHALC}
    ${ENUMSC}
    ${ENUMSH}
)

if(XCB_FOUND AND X11_XCB_FOUND)
    file(STRINGS org.kde.StatusNotifierWatcher.xml XML_RAW)
    string(CONCAT WATCHER_XML ${XML_RAW})
    file(STRINGS org.kde.StatusNotifierItem.xml PRIVATE_RAW)
    string(CONCAT ITEM_XML ${PRIVATE_RAW})
    configure_file(interfaces.h.in interfaces.h ESCAPE_QUOTES)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)

    add_executable(xembedsniproxy ${XEMBED_SNI_PROXY_SOURCES})

    set(CMAKE_INCLUDE_CURRENT_DIR ON)

    target_link_libraries(xembedsniproxy
        PkgConfig::XCB
        PkgConfig::X11_XCB
        PkgConfig::GDK_PIXBUF
        PkgConfig::CAIRO
        GLIB2::GOBJECT
        GLIB2::GIO_UNIX
    )


    install(TARGETS xembedsniproxy RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/vala-panel )
    #install(FILES xembedsniproxy.desktop DESTINATION ${CMAKE_INSTALL_BINDIR})

endif()

=== src/dbusmenu/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 cmake_policy (SET CMP0063 NEW)
 project (vala-dbusmenu C)
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+
+if(${VALA_VERSION} VERSION_LESS "0.40.4")
+    set(ADDONS_PACKAGE gio-addons-2.0)
+endif()
 
 # Vala
 find_package (Vala 0.24 REQUIRED)
@@ -16,7 +20,6 @@
                 -Wno-ignored-qualifiers
                 -Wno-incompatible-pointer-types
                 -Wno-missing-field-initializers
-                -Wno-discarded-qualifiers
                 -Wno-sign-compare
                 ) #Vala often forgot cast to GtkWidget or gpointer
 
@@ -45,12 +48,11 @@
     gtk+-3.0
     gio-2.0
     glib-2.0
-    gio-addons-2.0
     gobject-2.0
+    ${ADDONS_PACKAGE}
 OPTIONS
-    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
+    --vapidir=${CMAKE_SOURCE_DIR}/vapi
     --target-glib=2.44
-    --thread
 GENERATE_VAPI
     vala-dbusmenu
 GENERATE_HEADER

=== src/panels/CMakeLists.txt ===
glib_compile_resources(RESOURCES
    source
        ../sntray.gresource.xml
)

#################
# Xfce Panel part
#################
set(VALA_FILES_XFCE xfce4-sntray-applet.vala)
if (ENABLE_XFCE)
    vala_precompile(VALA_C_XFCE sntray-xfce
        ${VALA_FILES_XFCE}
    PACKAGES
        gtk+-3.0
        libxfce4panel-2.0
        libxfconf-0
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/src/vala-panel-sntray.vapi
        ${CMAKE_SOURCE_DIR}/src/sntray-backend.vapi
    OPTIONS
        --vapidir=${CMAKE_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.44
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-xfce MODULE
        ${VALA_C_XFCE}
        ${RESOURCES}
    )
    target_include_directories(sntray-xfce  PRIVATE ${CMAKE_SOURCE_DIR}/src)
    target_link_libraries(sntray-xfce  sntray-core PkgConfig::XFCE)
    add_custom_target(sntray-xfce-ide SOURCES ${VALA_FILES_XFCE})

    # Install plugin stuffs
    install(TARGETS sntray-xfce DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
endif()


#################
# Vala Panel part
#################
set(VALA_FILES_VALAPANEL vala-panel-sntray-applet.vala)
if (ENABLE_VALAPANEL)
    if(NEW_IFACE)
        set(PLUGIN_PACKAGE "")
    else()
        set(PLUGIN_PACKAGE libpeas-1.0)
    endif()
    vala_precompile(VALA_C_VALAPANEL sntray-valapanel
            ${VALA_FILES_VALAPANEL}
    PACKAGES
        gtk+-3.0
        ${PLUGIN_PACKAGE}
        vala-panel
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/src/vala-panel-sntray.vapi
        ${CMAKE_SOURCE_DIR}/src/sntray-backend.vapi
    OPTIONS
        --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.44
        --gresources=${CMAKE_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-valapanel MODULE
        ${VALA_C_VALAPANEL}
        ${RESOURCES}
    )
    target_include_directories(sntray-valapanel  PRIVATE ${CMAKE_SOURCE_DIR}/src)
    target_link_libraries(sntray-valapanel sntray-core PkgConfig::VALAPANEL)
    add_custom_target(sntray-valapanel-ide SOURCES ${VALA_FILES_VALAPANEL})
    set_target_properties(sntray-valapanel PROPERTIES
        OUTPUT_NAME sntray)

    # Install plugin stuffs
    install(TARGETS sntray-valapanel DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
endif()

#################
# Budgie Panel part
#################
set(VALA_FILES_BUDGIE sntray-applet-budgie.vala)
if (ENABLE_BUDGIE)
    vala_precompile(VALA_C_BUDGIE sntray-budgie
            ${VALA_FILES_BUDGIE}
    PACKAGES
        gtk+-3.0
        budgie-1.0
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/src/vala-panel-sntray.vapi
        ${CMAKE_SOURCE_DIR}/src/sntray-backend.vapi
    OPTIONS
        --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.44
        --gresources=${CMAKE_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-budgie MODULE
        ${VALA_C_BUDGIE}
        ${RESOURCES}
    )
    target_include_directories(sntray-budgie  PRIVATE ${CMAKE_SOURCE_DIR}/src)
    target_link_libraries(sntray-budgie sntray-core PkgConfig::BUDGIE)
    add_custom_target(sntray-budgie-ide SOURCES ${VALA_FILES_BUDGIE})

    # Install plugin stuffs
    install(TARGETS sntray-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-sntray-plugin)
endif()

#################
# MATE Panel part
#################
set(VALA_FILES_MATE mate-sntray-applet.vala)
if (ENABLE_MATE)
    vala_precompile(VALA_C_MATE sntray-mate
        ${VALA_FILES_MATE}
    PACKAGES
        gdk-3.0
        gtk+-3.0
        libmatepanelapplet-4.0
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/src/vala-panel-sntray.vapi
        ${CMAKE_SOURCE_DIR}/src/sntray-backend.vapi
    OPTIONS
        --vapidir=${CMAKE_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_CURRENT_BINARY_DIR}
        --target-glib=2.44
        --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    )
    #####
    # Plugin Library
    #####
    add_library (sntray-mate MODULE
        ${VALA_C_MATE}
        ${RESOURCES}
    )
    target_include_directories(sntray-mate  PRIVATE ${CMAKE_SOURCE_DIR}/src)
    add_dependencies(sntray-mate sntray-core)
    target_link_libraries(sntray-mate sntray-core PkgConfig::MATE)
    add_custom_target(sntray-mate-ide SOURCES ${VALA_FILES_MATE})

    # Install plugin stuffs
    install(TARGETS sntray-mate DESTINATION ${CMAKE_INSTALL_LIBDIR}/mate-panel)
endif()

=== debian/changelog ===
xfce4-sntray-plugin (0.4.13.1-5) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 20:49:42 -0400

xfce4-sntray-plugin (0.4.13.1-4) experimental; urgency=medium

  * Team upload
  * Revert dropping Budgie plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 16:48:52 -0400

xfce4-sntray-plugin (0.4.13.1-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Temporarily drop Budgie plugin
  * Bump Standards Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 16:47:02 -0400

xfce4-sntray-plugin (0.4.13.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_fix-FTBFS-in-dbusmenu-client-vala.patch. Fix FTBFS in
      src/dbusmenu/client.vala. (Closes: #997290).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Dec 2021 23:42:54 +0100

xfce4-sntray-plugin (0.4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 22:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- budgie-core-dev (>= 2),
+ budgie-core-dev,
  cmake,
  cmake-vala (>= 3),
- debhelper-compat (= 12),
- dpkg-dev (>= 1.16.1.1),
+ debhelper-compat (= 13),
  gettext,
- libglib2.0-dev (>= 2.50),
- libgtk-3-dev (>= 3.22),
- libmate-panel-applet-dev (>= 1.20),
- libpeas-dev (>= 1.14),
- libvalapanel-dev (>= 0.4.89),
+ libglib2.0-dev,
+ libgtk-3-dev,
+ libmate-panel-applet-dev,
+ libpeas-dev,
+ libvalapanel-dev (>= 0.4.92),
  libxfce4panel-2.0-dev,
  libxfconf-0-dev,
  libxml2-utils,
- pkg-config,
- valac (>= 0.36),
-Standards-Version: 4.4.0
+ pkgconf,
+ valac,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/xfce4-sntray-plugin
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin
 
 Package: xfce4-sntray-plugin-common
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

NULL =

include /usr/share/dpkg/architecture.mk
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

UVER      = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE     =
VER      ?= $(subst $(DTYPE),,$(UVER))

VER_MAJOR = $(shell echo $(VER) | cut -d "." -f1)
VER_MINOR = $(shell echo $(VER) | cut -d "." -f2)
VER_PATCH = $(shell echo $(VER) | cut -d "." -f3)

%:
	dh $@

override_dh_auto_configure:
	mkdir -p "$(CURDIR)/cmake/"
	sed -e 's/@VERSION@/$(VER)/'			\
	    -e 's/@VERSION_MAJOR@/$(VER_MAJOR)/'	\
	    -e 's/@VERSION_MINOR@/$(VER_MINOR)/'	\
	    -e 's/@VERSION_PATCH@/$(VER_PATCH)/'	\
	    $(CURDIR)/cmake/FallbackVersion.cmake.in > $(CURDIR)/cmake/FallbackVersion.cmake
	dh_auto_configure $(DHFLAGS) -- \
	        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
	        $(NULL)

execute_before_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4
	mv $(CURDIR)/debian/tmp/usr/lib/xfce4 $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	rm -Rfv $(CURDIR)/debian/tmp/usr/lib/xfce4

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
